﻿@*
    Manual : Render as partial view and pass a GoogleMapsViewModel for necessary data, on document.ready, call RenderGoogleMaps()
*@

@using SportsClub.Models

@model GoogleMapsViewModel

<div id="MapModal" class="modal fade">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title">Map</h4>
            </div>
            <div class="modal-body">
                <div id="googleMapContainer">
                    <div id="mapAddress" class="pull-left class-address-a">@Html.DisplayLocation(Model.PostalAddress, Model.Name, Model.Room)</div>
                    <div class="@Model.ContainerClass map_canvas" id="@Model.ContainerId"></div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
            </div>
        </div>
    </div>
</div>


<script type="text/javascript">
    function RenderGoogleMaps() {
        var locations = [['@Model.Name', @Model.PostalAddress.Lat, @Model.PostalAddress.Lng]];
        google_init(document.getElementById("@Model.ContainerId"), 15);
        google_addMarkers(locations);
    }

    // set map modal height dynamicly
    function SetMapModalHeight() {
        if ($(document).width() > 767)
            $("#@Model.ContainerId").height($(window).height() - 300);
        else
            $("#@Model.ContainerId").height($(window).height() - 200);
    }

    $(window).resize(function () {
        SetMapModalHeight();
    });
    $(document).ready(function () {
        SetMapModalHeight();
        // using timeout to solve map load incompletely & marker not in the center
        setTimeout(function () {
            // renders google maps widget
            RenderGoogleMaps();
        }, 500);

        $("[data-target='#MapModal']").click(function () {
            SetMapModalHeight();

            // using timeout to solve map load incompletely & marker not in the center
            setTimeout(function () {
                // renders google maps widget
                RenderGoogleMaps();
            }, 500);
        });
    });
</script>
